
QGIS Application - Bug report #164

WMS connects but shows white map

2006-07-03 07:21 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 10223

Description

Hi,

I have recompiled QGIS from scratch (3 July 2006)

and still have no luck with WMS. On a machine without

proxy it connects, shows the list. When I want to

display, the map remains empty (but legend is added).

Could it be a projection issue? I was using GRASS

with the Spearfish dataset and wanted to fetch a

JPL Landsat Layer. Same thing with DEMIS.

Probably the reprojection to the current projection

fails and thus the map is fetched but out of view?

Used on Mandriva 2006.

Greetings,

Markus

History

#1 - 2006-07-07 03:39 AM - Gavin Macaulay -

What is the WMS server that you're trying to connect to?

We have found that some servers are mis-configured and tend not to work (see, for example, the discussion in #103).

#2 - 2006-07-20 12:21 AM - neteler-itc-it -

Hi,

sorry for the slow response - trac didn't notify me about

your comment (maybe it does now).

I used onEarth/JPL (which sometimes work, after 2 zooms it

crashes QGIS entirely) and DEMIS (which always fails).

gsherman confirmed in a IRC chat.
I tried one week ago, will update from SVN now.

Markus

#3 - 2006-07-23 07:55 PM - Brendan Morley -

It would help if you could attach to this ticket, QGIS's output to the console during one of these episodes.  Even better if you are using a build compiled with

debug turned on.

Also, WMS projection support has been firmed up further (see #3914) so this also may address your issue.  Though I have to say, it works for me.

What version of Qt do you have?

#4 - 2006-07-23 08:09 PM - Gary Sherman

OUTPUT FROM ATTEMPT TO LOAD DEMIS COUNTRY LAYER

gsHttpTransaction::getSynchronously: Using

'http://www2.demis.nl/mapserver/request.asp?request=GetCapabilities&version=1.0.0&SERVICE=WMS&VERSION=1.1.0&REQUEST=GetMap&BBOX=-180.000000,-90.000000,180.000000,90.00000

-180.000000,-90.000000,180.000000,90.000000&SRS=EPSG:4326&WIDTH=668&HEIGHT=334&LAYERS=Countries&STYLES=&FORMAT=image/gif&TRANSPARENT=TRUE'.

f&TRANSPARENT=TRUE'.

Warning: [[QgsHttpTransaction]]::getSynchronously: qurl.host() is 'www2.demis.nl'.

[[QgsHttpTransaction]]::getSynchronously: Starting get with id 3.

[[QgsHttpTransaction]]::getSynchronously: Setting httpactive = TRUE

[[QgsHttpTransaction]]::dataStarted with ID 3.

[[QgsHttpTransaction]]::dataStateChanged to 2.

  An attempt to connect to the host is in progress.

[[QgsHttpTransaction]]::dataStateChanged to 3.

  The client is sending its request to the server.

[[QgsHttpTransaction]]::dataStateChanged to 4.

  The client's request has been sent and the client is reading the server's response.

[[QgsHttpTransaction]]::dataHeaderReceived: statuscode 200, reason 'OK', content type: _.

[[QgsHttpTransaction]]::dataStateChanged to 5.

  The connection to the host is open, but the client is neither sending a request, nor waiting for a response.

[[QgsHttpTransaction]]::dataFinished with ID 3.

[[QgsHttpTransaction]]::dataFinished - no error.

[[QgsHttpTransaction]]::getSynchronously: Setting httpactive = FALSE

[[QgsHttpTransaction]]::getSynchronously: Response received.

[[QgsHttpTransaction]]: deconstructing.

[[QgsWmsProvider]]::draw: Response received.

[[QgsWmsProvider]]::draw: Exiting.

Debug: qgsrasterlayer.cpp: 1320: (draw) [[QgsRasterLayer]]::draw: Done dataProvider->draw.

Debug: qgsrasterlayer.cpp: 1321: (draw) [[QgsRasterLayer]]::draw: image stats:

Debug: qgsrasterlayer.cpp: 1323: (draw) depth = 0

Debug: qgsrasterlayer.cpp: 1324: (draw) bytes = 0

Debug: qgsrasterlayer.cpp: 1325: (draw) width = 0

Debug: qgsrasterlayer.cpp: 1326: (draw) height = 0

Debug: qgsrasterlayer.cpp: 1329: (draw) [[QgsRasterLayer]]::draw: Want to theQPainter->drawImage with

Debug: qgsrasterlayer.cpp: 1331: (draw) origin x = 0

Debug: qgsrasterlayer.cpp: 1333: (draw) (int)origin x = 0

Debug: qgsrasterlayer.cpp: 1334: (draw) origin y = 58

Debug: qgsrasterlayer.cpp: 1336: (draw) (int)origin y = 58
Debug: qgsrasterlayer.cpp: 1371: (draw) [[QgsRasterLayer]]::draw: exiting.

Debug: qgsmaprender.cpp: 285: (render) [[QgsMapRender]]::render: Done rendering map layers

setProgress called with 1/1

Debug: qgsmaprender.cpp: 320: (render), [[QgsMapRender]]::render: Rendering done in (seconds): 1752346657

[[QgsGrassPlugin]]::postRender()

Rendering n-arrow

Debug: qgsmaplayer.cpp: 555: (coordinateTransform) Maplayer asked for coordinateTransform which is....

Debug: qgsmaplayer.cpp: 562: (coordinateTransform) valid

Rendering n-arrow at Bottom Left

[[QgsMapCanvas]]::drawContents

[[QgsMapCanvas]]::drawContents

#5 - 2006-07-23 08:13 PM - Gary Sherman

This is easier to read:

gsHttpTransaction::getSynchronously: Using

'http://www2.demis.nl/mapserver/request.asp?request=GetCapabilities&version=1.0.0&SERVICE=WMS&VERSION=1.1.0&REQUEST=GetMap&BBOX=-180.000000,-90.000000,180.000000,90.0

BBOX=-180.000000,-90.000000,180.000000,90.000000&SRS=EPSG:4326&WIDTH=668&HEIGHT=334&LAYERS=Countries&STYLES=&FORMAT=image/gif&TRANSPARENT=TRUE'.
Warning: [[QgsHttpTransaction]]::getSynchronously: qurl.host() is 'www2.demis.nl'.
[[QgsHttpTransaction]]::getSynchronously: Starting

MAT=image/gif&TRANSPARENT=TRUE'.

Warning: [[QgsHttpTransaction]]::getSynchronously: qurl.host() is 'www2.demis.nl'.

[[QgsHttpTransaction]]::getSynchronously: Starting get with id 3.

[[QgsHttpTransaction]]::getSynchronously: Setting httpactive = TRUE

[[QgsHttpTransaction]]::dataStarted with ID 3.

[[QgsHttpTransaction]]::dataStateChanged to 2.

  An attempt to connect to the host is in progress.

[[QgsHttpTransaction]]::dataStateChanged to 3.

  The client is sending its request to the server.

[[QgsHttpTransaction]]::dataStateChanged to 4.

  The client's request has been sent and the client is reading the server's response.

[[QgsHttpTransaction]]::dataHeaderReceived: statuscode 200, reason 'OK', content type: _.

[[QgsHttpTransaction]]::dataStateChanged to 5.

  The connection to the host is open, but the client is neither sending a request, nor waiting for a response.

[[QgsHttpTransaction]]::dataFinished with ID 3.

[[QgsHttpTransaction]]::dataFinished - no error.

[[QgsHttpTransaction]]::getSynchronously: Setting httpactive = FALSE

[[QgsHttpTransaction]]::getSynchronously: Response received.

[[QgsHttpTransaction]]: deconstructing.

[[QgsWmsProvider]]::draw: Response received.

[[QgsWmsProvider]]::draw: Exiting.

Debug: qgsrasterlayer.cpp: 1320: (draw) [[QgsRasterLayer]]::draw: Done dataProvider->draw.

Debug: qgsrasterlayer.cpp: 1321: (draw) [[QgsRasterLayer]]::draw: image stats:

Debug: qgsrasterlayer.cpp: 1323: (draw) depth = 0

Debug: qgsrasterlayer.cpp: 1324: (draw) bytes = 0

Debug: qgsrasterlayer.cpp: 1325: (draw) width = 0

Debug: qgsrasterlayer.cpp: 1326: (draw) height = 0

Debug: qgsrasterlayer.cpp: 1329: (draw) [[QgsRasterLayer]]::draw: Want to theQPainter->drawImage with

Debug: qgsrasterlayer.cpp: 1331: (draw) origin x = 0

Debug: qgsrasterlayer.cpp: 1333: (draw) (int)origin x = 0

Debug: qgsrasterlayer.cpp: 1334: (draw) origin y = 58

Debug: qgsrasterlayer.cpp: 1336: (draw) (int)origin y = 58

Debug: qgsrasterlayer.cpp: 1371: (draw) [[QgsRasterLayer]]::draw: exiting.

2025-03-13 3/4



Debug: qgsmaprender.cpp: 285: (render) [[QgsMapRender]]::render: Done rendering map layers

setProgress called with 1/1

Debug: qgsmaprender.cpp: 320: (render), [[QgsMapRender]]::render: Rendering done in (seconds): 1752346657

[[QgsGrassPlugin]]::postRender()

Rendering n-arrow

Debug: qgsmaplayer.cpp: 555: (coordinateTransform) Maplayer asked for coordinateTransform which is....

Debug: qgsmaplayer.cpp: 562: (coordinateTransform) valid

Rendering n-arrow at Bottom Left

[[QgsMapCanvas]]::drawContents

[[QgsMapCanvas]]::drawContents

#6 - 2006-07-23 10:26 PM - Gary Sherman

Using the following URLs worked:

DEMIS: http://www2.demis.nl/wms/wms.asp?wms=WorldMapx%x%

QGIS: http://qgis.org/cgi-bin/mapserv?map=/var/www/maps/main.mapx%x%

#7 - 2006-07-24 12:13 PM - anonymous -

Hi,

apparently this is sufficient:

http://www2.demis.nl/wms/wms.asp

etc.

Now it works.

thanks

 Markus

#8 - 2006-07-24 09:10 PM - Brendan Morley -

- Status changed from Open to Closed

- Resolution set to wontfix

Since the problem seems to be caused by malformed URLs, I've added some information in the latest QGIS User Guide (revision 180) for the users to

spot a correct URL.  I'll mark this as wontfix.

#9 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
